get file = '/users/craig/desktop/computer files/spss/eating risk data.sav'.
dataset name rawdata window = front.

*/ DEFINE MEASUREMENT SCALE */.

variable level bmi bds1 to bds7 edr1 to edr6 (scale)
 /abuse (nominal).

*/ PERFORM EXPLORATORY ANALYSIS */.

dataset activate rawdata.

multiple imputation bmi bds1 to bds7 edr1 to edr6 abuse
 /impute method = fcs maxiter = 1000 nimputations = 2
 /outfile imputations = temp fcsiterations = '/users/craig/desktop/computer files/spss/parameters.sav'.

*/ GENERATE IMPUTATIONS */.

dataset activate rawdata.

multiple imputation bmi bds1 to bds7 edr1 to edr6 abuse
 /impute method = fcs maxiter = 200 nimputations = 20
 /outfile imputations = '/users/craig/desktop/computer files/spss/imputed.sav'.
